<div class="card-details" *ngIf="card">
    <div class="card-details__card-title" contentEditable="true" (focusout)="setCardTitle($event)">{{ card.title }}</div>
    <a class="card-details__close-btn" (click)="close()">✖</a>
    <div class="card-details__step-title">../<a>{{ card.stepTitle }}</a></div>
    <div class="row">
        <div class="column card-details__data">
            <div class="card-details__owner" contentEditable="true" (focusout)="setCardOwner($event)">{{ card.owner?.name }}</div>
            <div [ngClass]="dueDateExpired() ? 'card-details__date card-details__date--expired' : 'card-details__date'" 
                *ngIf="card.dueDate"
                contentEditable="true" (focusout)="setCardDueDate($event)">{{ card.dueDate | date :'shortDate' }}</div>
            <div class="column card-details__description">
                <div class="card-details__description-header">Description</div>
                <p>{{ card.description }}</p>
            </div>
            <app-card-checklist *ngIf="card.cardChecklist" [cardChecklist]="card.cardChecklist"></app-card-checklist>
            <app-card-comment *ngFor="let cardComment of card.cardComments" [cardComment]="cardComment" (deleted)="onCommentDeleted(cardComment)"></app-card-comment>
        </div>
    </div>
</div>